package com.zhiyun.common.model;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 表格分页数据对象
 *
 * @author ruoyi
 */
@Data
@NoArgsConstructor
public class TableResult implements Serializable {

    /**
     * 总记录数
     */
    private long total;

    /**
     * 列表数据
     */
    private List<?> rows;

    /**
     * 消息状态码
     */
    private int code;

    /**
     * 消息内容
     */
    private String msg;

    /**
     * 分页
     *
     * @param list  列表数据
     * @param total 总记录数
     */
    public TableResult(List<?> list, long total) {
        this.rows = list;
        this.total = total;
    }

    public static TableResult getTableResult(Page<?> page) {
        return new TableResult(page.getRecords(), page.getTotal());
    }

    public static TableResult getTableResult(List<?> list, Integer total) {
        return new TableResult(list, total);
    }

    public static TableResult getTableResult(List<?> list) {
        return new TableResult(list, list.size());
    }

}
