package com.zhiyun.framework.security.handle;

import com.alibaba.fastjson2.JSON;
import com.zhiyun.common.constant.HttpStatus;
import com.zhiyun.common.model.ApiResult;
import com.zhiyun.common.utils.ServletUtils;
import com.zhiyun.common.utils.StringUtils;
import org.springframework.security.core.AuthenticationException;
import org.springframework.security.web.AuthenticationEntryPoint;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.Serializable;

/**
 * 认证失败处理类 返回未授权
 *
 * @author ruoyi
 */
@Component
public class ZyUnauthorizedHandler implements AuthenticationEntryPoint, Serializable {

    @Override
    public void commence(HttpServletRequest request, HttpServletResponse response, AuthenticationException e) {
        ServletUtils.renderString(response, JSON.toJSONString(ApiResult.error(HttpStatus.UNAUTHORIZED,
                StringUtils.format("请求访问：{}，认证失败，无法访问系统资源", request.getRequestURI()))));
    }
}
