package com.zhiyun.project.monitor.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zhiyun.common.annotation.Excel;
import com.zhiyun.common.annotation.Excel.ColumnType;
import lombok.Data;

import java.util.Date;

/**
 * 系统访问记录表 sys_logininfor
 *
 * @author ruoyi
 */
@Data
public class SysLoginInfo {
    private static final long serialVersionUID = 1L;

    @TableId("info_id")
    @Excel(name = "序号", cellType = ColumnType.NUMERIC)
    private Long infoId;

    @TableField("user_name")
    @Excel(name = "用户账号")
    private String userName;

    @TableField("status")
    @Excel(name = "登录状态", readConverterExp = "0=成功,1=失败")
    private String status;

    @TableField("ipaddr")
    @Excel(name = "登录地址")
    private String ipaddr;

    @TableField("login_location")
    @Excel(name = "登录地点")
    private String loginLocation;

    @TableField("browser")
    @Excel(name = "浏览器")
    private String browser;

    @TableField("os")
    @Excel(name = "操作系统")
    private String os;

    @TableField("msg")
    @Excel(name = "提示消息")
    private String msg;

    @TableField("login_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "访问时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date loginTime;

}
