package com.zhiyun.project.monitor.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zhiyun.common.annotation.Excel;
import com.zhiyun.common.annotation.Excel.ColumnType;
import lombok.Data;

import java.util.Date;

/**
 * 操作日志记录表 oper_log
 *
 * @author ruoyi
 */
@Data
public class SysOperLog {
    private static final long serialVersionUID = 1L;

    @Excel(name = "操作序号", cellType = ColumnType.NUMERIC)
    @TableId("oper_id")
    private Long operId;

    @Excel(name = "操作模块")
    @TableField("title")
    private String title;

    @Excel(name = "业务类型", readConverterExp = "0=其它,1=新增,2=修改,3=删除,4=授权,5=导出,6=导入,7=强退,8=生成代码,9=清空数据")
    @TableField("business_type")
    private Integer businessType;

    @Excel(name = "请求方法")
    @TableField("method")
    private String method;

    @Excel(name = "请求方式")
    @TableField("request_method")
    private String requestMethod;

    @Excel(name = "操作类别", readConverterExp = "0=其它,1=后台用户,2=手机端用户")
    @TableField("operator_type")
    private Integer operatorType;

    @Excel(name = "操作人员")
    @TableField("oper_name")
    private String operName;

    @Excel(name = "部门名称")
    @TableField("dept_name")
    private String deptName;

    @Excel(name = "请求地址")
    @TableField("oper_url")
    private String operUrl;

    @Excel(name = "操作地址")
    @TableField("oper_ip")
    private String operIp;

    @Excel(name = "操作地点")
    @TableField("oper_location")
    private String operLocation;

    @Excel(name = "请求参数")
    @TableField("oper_param")
    private String operParam;

    @Excel(name = "返回参数")
    @TableField("json_result")
    private String jsonResult;

    @Excel(name = "状态", readConverterExp = "0=正常,1=异常")
    @TableField("status")
    private Integer status;

    @Excel(name = "错误消息")
    @TableField("error_msg")
    private String errorMsg;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @TableField("oper_time")
    private Date operTime;

}
