package com.zhiyun.project.monitor.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhiyun.project.monitor.domain.SysOperLog;
import com.zhiyun.project.monitor.domain.body.OperLogBody;
import com.zhiyun.project.monitor.mapper.SysOperLogMapper;
import com.zhiyun.project.monitor.service.ISysOperLogService;
import org.springframework.stereotype.Service;

/**
 * 操作日志 服务层处理
 *
 * @author ruoyi
 */
@Service
public class SysOperLogServiceImpl extends ServiceImpl<SysOperLogMapper, SysOperLog> implements ISysOperLogService {

    @Override
    public Page<SysOperLog> selectOperLogPage(OperLogBody body) {
        Page<SysOperLog> page = new Page<>(body.getPageNum(), body.getPageSize());
        baseMapper.selectOperLogList(page, body);
        return page;
    }

    @Override
    public void cleanOperLog() {
        baseMapper.cleanOperLog();
    }
}
