package com.zhiyun.project.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zhiyun.project.system.domain.entity.SysDept;
import com.zhiyun.project.system.domain.entity.SysRole;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 用户对象 sys_user
 *
 * @author ruoyi
 */
@Data
public class SysUserVo {
    /**
     * 用户序号
     */
    private Long userId;

    /**
     * 部门编号
     */
    private Long deptId;

    /**
     * 登录名称
     */
    private String userName;

    /**
     * 用户名称
     */
    private String nickName;

    /**
     * 用户邮箱
     */
    private String email;

    /**
     * 手机号码
     */
    private String phonenumber;

    /**
     * 用户性别
     * 0=男,1=女,2=未知
     */
    private String sex;

    /**
     * 用户头像
     */
    private String avatar;

    /**
     * 密码
     */
    private String password;

    /**
     * 帐号状态
     */
    private String status;

    /**
     * 最后登录IP
     */
    private String loginIp;

    /**
     * 最后登录时间
     */
    private Date loginDate;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 部门对象
     */
    private SysDept dept;

    /**
     * 角色对象
     */
    private List<SysRole> roles;

}
