package com.zhiyun.project.system.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zhiyun.project.system.domain.body.SysRoleBody;
import com.zhiyun.project.system.domain.entity.SysRole;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 角色表 数据层
 *
 * @author ruoyi
 */
public interface SysRoleMapper extends BaseMapper<SysRole> {
    /**
     * 根据条件分页查询角色数据
     */
    Page<SysRole> pageRole(Page<SysRole> page, @Param("param") SysRoleBody param);

    /**
     * 根据用户ID查询角色
     *
     * @param userId 用户ID
     */
    List<SysRole> selectRoleByUserId(Long userId);

    /**
     * 根据用户ID查询角色
     *
     * @param userName 用户名
     * @return 角色列表
     */
    List<SysRole> selectRolesByUserName(String userName);

    /**
     * 校验角色名称是否唯一
     *
     * @param roleName 角色名称
     */
    Long checkRoleNameUnique(String roleName);

    /**
     * 校验角色权限是否唯一
     *
     * @param roleKey 角色权限
     */
    Long checkRoleKeyUnique(String roleKey);

    /**
     * 批量删除角色信息
     *
     * @param roleIds 需要删除的角色ID
     */
    int deleteRoleByIds(Long[] roleIds);
}
