package com.zhiyun.project.system.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhiyun.project.system.domain.body.SysConfigBody;
import com.zhiyun.project.system.domain.entity.SysConfig;

/**
 * 参数配置 服务层
 *
 * @author ruoyi
 */
public interface ISysConfigService extends IService<SysConfig> {
    /**
     * 根据键名查询参数配置信息
     *
     * @param configKey 参数键名
     * @return 参数键值
     */
    String selectConfigByKey(String configKey);

    /**
     * 查询参数配置列表
     */
    Page<SysConfig> selectConfigPage(SysConfigBody body);

    /**
     * 新增参数配置
     */
    boolean insertConfig(SysConfig config);

    /**
     * 修改参数配置
     */
    boolean updateConfig(SysConfig config);

    /**
     * 批量删除参数信息
     *
     * @param configIds 需要删除的参数ID
     */
    void deleteConfigByIds(Long[] configIds);

    /**
     * 重置参数缓存数据
     */
    void resetConfigCache();

    /**
     * 校验参数键名是否唯一
     */
    String checkConfigKeyUnique(Long configId, String configKey);
}
