package com.zhiyun.project.system.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhiyun.common.utils.DictUtils;
import com.zhiyun.project.system.domain.body.SysDictBody;
import com.zhiyun.project.system.domain.entity.SysDictData;
import com.zhiyun.project.system.mapper.SysDictDataMapper;
import com.zhiyun.project.system.service.ISysDictDataService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 字典 业务层处理
 *
 * @author ruoyi
 */
@Service
public class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService {

    @Override
    public Page<SysDictData> selectDictDataPage(SysDictBody body) {
        Page<SysDictData> page = new Page<>(body.getPageNum(), body.getPageSize());
        return baseMapper.selectDictDataList(page, body);
    }

    @Override
    public void deleteDictDataByIds(Long[] dictCodes) {
        for (Long dictCode : dictCodes) {
            SysDictData data = getById(dictCode);
            baseMapper.deleteById(dictCode);
            List<SysDictData> dictDataList = baseMapper.selectDictDataByType(data.getDictType());
            DictUtils.setDictCache(data.getDictType(), dictDataList);
        }
    }

    @Override
    public boolean insertDictData(SysDictData data) {
        if (baseMapper.insert(data) > 0) {
            List<SysDictData> dictDataList = baseMapper.selectDictDataByType(data.getDictType());
            DictUtils.setDictCache(data.getDictType(), dictDataList);
            return true;
        }
        return false;
    }

    @Override
    public boolean updateDictData(SysDictData data) {
        if (baseMapper.updateById(data) > 0) {
            List<SysDictData> dictDataList = baseMapper.selectDictDataByType(data.getDictType());
            DictUtils.setDictCache(data.getDictType(), dictDataList);
            return true;
        }
        return false;
    }
}
