package com.zhiyun.project.system.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhiyun.project.system.domain.body.SysNoticeBody;
import com.zhiyun.project.system.domain.entity.SysNotice;
import com.zhiyun.project.system.mapper.SysNoticeMapper;
import com.zhiyun.project.system.service.ISysNoticeService;
import org.springframework.stereotype.Service;

/**
 * 公告 服务层实现
 *
 * @author ruoyi
 */
@Service
public class SysNoticeServiceImpl extends ServiceImpl<SysNoticeMapper, SysNotice> implements ISysNoticeService {
    /**
     * 查询公告列表
     *
     * @param body 公告信息
     */
    @Override
    public Page<SysNotice> selectNoticeList(SysNoticeBody body) {
        Page<SysNotice> page = new Page<>(body.getPageNum(), body.getPageSize());
        return baseMapper.selectNoticeList(page, body);
    }
}
